Latest announcements

Important University announcements.

Page: 1 2 3 4 5 ()
DiscussionStarted byRepliesLast post
Online Payments - system downtime Flinders University Flinders University 0 Flinders University
Tue, 10 Jan 2017, 4:24 PM
Text-matching (Turnitin) Unavailable: Sunday 8 January 1:30am - 9:30am Flinders University Flinders University 0 Flinders University
Thu, 5 Jan 2017, 11:09 AM
Global essay competition – Travel all expenses paid to Switzerland! Flinders University Flinders University 0 Flinders University
Thu, 22 Dec 2016, 10:19 AM
End of year University closure Flinders University Flinders University 0 Flinders University
Mon, 19 Dec 2016, 12:38 PM
Central and Sturt Libraries - Power disruption Saturday 17th December Flinders University Flinders University 0 Flinders University
Fri, 16 Dec 2016, 9:23 AM
Scheduled FLO maintenance on 16th December Flinders University Flinders University 0 Flinders University
Mon, 12 Dec 2016, 11:35 AM
Have your say on the University’s Major Change and Implementation Proposal Flinders University Flinders University 0 Flinders University
Thu, 24 Nov 2016, 2:29 PM
Student Information System restored Flinders University Flinders University 0 Flinders University
Wed, 23 Nov 2016, 12:54 AM
Student Information System unavailable Flinders University Flinders University 0 Flinders University
Tue, 22 Nov 2016, 9:37 PM
Prepare yourself for the careers of the future; add Innovation & Enterprise topics to your course Flinders University Flinders University 0 Flinders University
Tue, 15 Nov 2016, 1:10 PM
Get SET to Jetset - Student Evaluation of Teaching (SET) surveys are about to close Flinders University Flinders University 0 Flinders University
Mon, 14 Nov 2016, 9:13 AM
Text-matching (Turnitin) Unavailable: Saturday 5 November 11:30pm - 4:30am Flinders University Flinders University 0 Flinders University
Thu, 3 Nov 2016, 9:19 AM
Access to 2015 semester 2 FLO topics ending soon Flinders University Flinders University 0 Flinders University
Tue, 1 Nov 2016, 3:41 PM
University Traffic Speed Limits Flinders University Flinders University 0 Flinders University
Mon, 31 Oct 2016, 11:28 AM
Get SET to Jetset - Student Evaluation of Teaching (SET) surveys are open Flinders University Flinders University 0 Flinders University
Wed, 26 Oct 2016, 12:35 PM
VACANCY - Empire Times Student Magazine Flinders University Flinders University 0 Flinders University
Wed, 19 Oct 2016, 5:03 PM
Get SET to Jetset - Student Evaluation of Teaching (SET) surveys open Flinders University Flinders University 0 Flinders University
Wed, 19 Oct 2016, 8:57 AM
Final Examination Timetable Released - Semester 2 2016 Examinations Flinders University Flinders University 0 Flinders University
Fri, 14 Oct 2016, 8:21 AM
Endnote and MacOS Sierra Flinders University Flinders University 0 Flinders University
Thu, 13 Oct 2016, 11:54 AM
Scheduled FLO maintenance Flinders University Flinders University 0 Flinders University
Fri, 7 Oct 2016, 4:33 PM
Tell us about what you think about FUSA Student Elections for your chance to win $50 (it will only take a few minutes)! Flinders University Flinders University 0 Flinders University
Wed, 5 Oct 2016, 9:46 AM
Flinders University Postgraduate Study drop-in sessions Flinders University Flinders University 0 Flinders University
Tue, 4 Oct 2016, 9:43 AM
Have you considered postgraduate study? What about a PhD? Flinders University Flinders University 0 Flinders University
Mon, 19 Sep 2016, 4:17 PM
HAVE YOUR SAY ON SSAF EXPENDITURE IN 2017 Flinders University Flinders University 0 Flinders University
Wed, 14 Sep 2016, 3:32 PM
Change your undergraduate course for next year Flinders University Flinders University 0 Flinders University
Mon, 5 Sep 2016, 10:01 AM
Register now for your new online experience Flinders University Flinders University 0 Flinders University
Fri, 2 Sep 2016, 9:02 AM
Have you had your say? Flinders University Flinders University 0 Flinders University
Fri, 26 Aug 2016, 3:43 PM
Library level 0 and 1 now open 24/7 Flinders University Flinders University 0 Flinders University
Fri, 26 Aug 2016, 11:25 AM
A new online Flinders student experience is coming soon! Flinders University Flinders University 0 Flinders University
Mon, 22 Aug 2016, 9:11 AM
Nominations for 2017 FUSA Student Council, the Empire Times Editorial Team and NUS Delegates are OPEN Flinders University Flinders University 0 Flinders University
Thu, 18 Aug 2016, 2:41 PM
What is the Second Semester Grant Scheme? Flinders University Flinders University 0 Flinders University
Wed, 17 Aug 2016, 2:01 PM
Have your say on a University discussion paper Flinders University Flinders University 0 Flinders University
Mon, 15 Aug 2016, 3:45 PM
Student Experience Survey Flinders University Flinders University 0 Flinders University
Mon, 1 Aug 2016, 11:16 AM
FlinSafe (Health and Safety Reporting System) Flinders University Flinders University 0 Flinders University
Mon, 1 Aug 2016, 9:18 AM
Internal transfer applications have been extended! Flinders University Flinders University 0 Flinders University
Fri, 29 Jul 2016, 5:09 PM
ITS Unplanned Service Interruption Flinders University Flinders University 0 Flinders University
Fri, 29 Jul 2016, 10:58 AM
Internal transfer applications have been extended! Flinders University Flinders University 0 Flinders University
Mon, 25 Jul 2016, 2:03 PM
Internal transfer applications have been extended Flinders University Flinders University 0 Flinders University
Mon, 18 Jul 2016, 2:02 PM
Final Examination Timetable Release - Semester 1 2016 Deferred and Supplementary Examinations Flinders University Flinders University 0 Flinders University
Sat, 16 Jul 2016, 10:26 AM
Outage Notification | Computer network and telephony Flinders University Flinders University 0 Flinders University
Wed, 6 Jul 2016, 2:14 PM
Mid-year Break Roadworks Program Flinders University Flinders University 0 Flinders University
Tue, 28 Jun 2016, 9:15 AM
Get SET to Jetset - Student Evaluation of Teaching (SET) surveys are about to close Flinders University Flinders University 0 Flinders University
Mon, 27 Jun 2016, 5:59 PM
Saturday Exams: Roadworks South & Sturt Roads Flinders University Flinders University 0 Flinders University
Fri, 24 Jun 2016, 8:30 AM
Saturday Exams: Roadworks South & Sturt Roads Flinders University Flinders University 0 Flinders University
Wed, 22 Jun 2016, 8:30 AM
Internal transfer applications have been extended! Flinders University Flinders University 0 Flinders University
Wed, 8 Jun 2016, 1:41 PM
FLO: Get SET to Jetset - Student Evaluation of Teaching (SET) surveys are open Flinders University Flinders University 0 Flinders University
Wed, 8 Jun 2016, 9:00 AM
Get SET to Jetset - Student Evaluation of Teaching (SET) surveys open today Flinders University Flinders University 0 Flinders University
Mon, 30 May 2016, 9:00 AM
Final Examination Timetable Released - Semester 1 2016 Examinations Flinders University Flinders University 0 Flinders University
Tue, 24 May 2016, 8:49 AM
Student Information System Unavailable: Saturday 28 May 9am-2pm Flinders University Flinders University 0 Flinders University
Fri, 20 May 2016, 4:37 PM
Sturt precinct buildings closed Saturday 28 May 2016 Flinders University Flinders University 0 Flinders University
Fri, 20 May 2016, 12:10 PM
NOTIFICATION: Power Outage Bedford Park Campus Flinders University Flinders University 0 Flinders University
Mon, 9 May 2016, 4:33 PM
Provisional Examination Timetable Release - Semester 1 2016 Flinders University Flinders University 0 Flinders University
Mon, 9 May 2016, 11:40 AM
Web user research Flinders University Flinders University 0 Flinders University
Mon, 4 Apr 2016, 9:43 AM
Change your undergraduate course for next semester Flinders University Flinders University 0 Flinders University
Wed, 30 Mar 2016, 9:39 AM
FUSA April By-Election Flinders University Flinders University 0 Flinders University
Tue, 29 Mar 2016, 9:30 AM
Semester 1 census date - Friday 1 April 2016 Flinders University Flinders University 0 Flinders University
Thu, 24 Mar 2016, 10:21 AM
Unibooks to be replaced by The Co-op Flinders University Flinders University 0 Flinders University
Tue, 22 Mar 2016, 2:57 PM
Official opening of the Hub and Plaza Flinders University Flinders University 0 Flinders University
Wed, 16 Mar 2016, 2:42 PM
Student Information System Unavailable: Saturday 19 March 9am-2pm Flinders University Flinders University 0 Flinders University
Wed, 16 Mar 2016, 9:10 AM
Changing your course Flinders University Flinders University 0 Flinders University
Fri, 11 Mar 2016, 11:26 AM
Text-matching (Turnitin) Unavailable: Sunday 6 March 1:30am - 5:30am Flinders University Flinders University 0 Flinders University
Wed, 2 Mar 2016, 10:05 AM
IT acceptable use reminder Flinders University Flinders University 0 Flinders University
Fri, 26 Feb 2016, 12:41 PM
Internal transfer applications have been extended! Flinders University Flinders University 0 Flinders University
Fri, 26 Feb 2016, 12:40 PM
What to do if I have an injury or medical emergency? Flinders University Flinders University 0 Flinders University
Thu, 25 Feb 2016, 10:16 AM
Semester 1 information Flinders University Flinders University 0 Flinders University
Thu, 18 Feb 2016, 10:18 AM
Flinders goes smoke-free Flinders University Flinders University 0 Flinders University
Mon, 15 Feb 2016, 12:02 PM
Internal transfer applications have been extended! Flinders University Flinders University 0 Flinders University
Fri, 12 Feb 2016, 2:41 PM
Wireless Network upgrade Flinders University Flinders University 0 Flinders University
Wed, 3 Feb 2016, 1:37 PM
Careers advice available in Flinders Connect Flinders University Flinders University 0 Flinders University
Tue, 2 Feb 2016, 9:54 AM
Scheduled FLO maintenance Flinders University Flinders University 0 Flinders University
Wed, 27 Jan 2016, 11:24 AM
Flinders Connect services update Flinders University Flinders University 0 Flinders University
Thu, 21 Jan 2016, 9:21 AM
Enrolment Support Centre Flinders University Flinders University 0 Flinders University
Tue, 19 Jan 2016, 12:08 PM
Internal transfer applications have been extended! Flinders University Flinders University 0 Flinders University
Fri, 8 Jan 2016, 4:44 PM
Get your Parking Permit online Flinders University Flinders University 0 Flinders University
Wed, 6 Jan 2016, 9:48 AM
Scheduled FLO maintenance Flinders University Flinders University 0 Flinders University
Mon, 21 Dec 2015, 10:16 AM
Student Information System update Flinders University Flinders University 0 Flinders University
Mon, 14 Dec 2015, 2:06 PM
Student Information System_ Class Registration Update Flinders University Flinders University 0 Flinders University
Fri, 11 Dec 2015, 4:17 PM
Student Information System update Flinders University Flinders University 0 Flinders University
Thu, 10 Dec 2015, 5:08 PM
Final Examination Timetable Release - Semester 2 2015 Supplementary Examinations Flinders University Flinders University 0 Flinders University
Mon, 7 Dec 2015, 9:28 AM
Internal transfer applications have been extended! Flinders University Flinders University 0 Flinders University
Mon, 30 Nov 2015, 12:00 AM
Changes to car parks 1 and 6 Flinders University Flinders University 0 Flinders University
Tue, 24 Nov 2015, 12:44 PM
Get SET to Jetset - Student Evaluation of Teaching (SET) surveys are about to close Flinders University Flinders University 0 Flinders University
Mon, 23 Nov 2015, 8:57 AM
eReadings, past exam papers and linked SAMs unavailable: Tuesday 17 November 2:00-2:45PM Flinders University Flinders University 0 Flinders University
Mon, 16 Nov 2015, 11:03 AM
Targeted Scam Email Warning Flinders University Flinders University 0 Flinders University
Fri, 13 Nov 2015, 5:22 PM
2016 Enrolment starts from 23 November 2015 Flinders University Flinders University 0 Flinders University
Fri, 6 Nov 2015, 3:45 PM
Student Information System Unavailable: Thursday 5 November 5-8pm Flinders University Flinders University 0 Flinders University
Mon, 2 Nov 2015, 8:55 AM
Study Audiology at Flinders Flinders University Flinders University 0 Flinders University
Fri, 30 Oct 2015, 1:22 PM
Get SET to Jetset - Student Evaluation of Teaching (SET) surveys are open Flinders University Flinders University 0 Flinders University
Wed, 28 Oct 2015, 8:45 AM
Election of one undergraduate and one postgraduate student member of University Council Flinders University Flinders University 0 Flinders University
Mon, 26 Oct 2015, 9:16 AM
Final Examination Timetable Released - Semester 2, 2015 Examinations Flinders University Flinders University 0 Flinders University
Thu, 22 Oct 2015, 2:50 PM
Have you paid your Semester 2 Student Services and Amenities Fees (SSAF)? Flinders University Flinders University 0 Flinders University
Wed, 21 Oct 2015, 4:52 PM
Get SET to Jetset - Student Evaluation of Teaching (SET) surveys open today Flinders University Flinders University 0 Flinders University
Mon, 19 Oct 2015, 3:11 PM
Access changes at Bedford Park campus Flinders University Flinders University 0 Flinders University
Fri, 16 Oct 2015, 4:15 PM
Free Interview Practice Flinders University Flinders University 0 Flinders University
Thu, 15 Oct 2015, 9:01 AM
Internal Transfer drop-in session Flinders University Flinders University 0 Flinders University
Thu, 15 Oct 2015, 12:00 AM
VOTE NOW! FUSA Elections are open Flinders University Flinders University 0 Flinders University
Tue, 13 Oct 2015, 4:54 PM
Finishing your degree and wondering what’s next? Flinders University Flinders University 0 Flinders University
Tue, 13 Oct 2015, 8:53 AM
Provisional Examination Timetable Release - Semester 2 2015 Flinders University Flinders University 0 Flinders University
Mon, 12 Oct 2015, 12:11 PM
Join us for Career Week- one week dedicated to you and your career - October 12 – 16, 2015 Flinders University Flinders University 0 Flinders University
Wed, 7 Oct 2015, 12:00 AM
Flinders Connect is your connection to student support services at Flinders University Flinders University Flinders University 0 Flinders University
Tue, 6 Oct 2015, 10:02 AM
Page: 1 2 3 4 5 ()